WPA_SUPPLICANT(8)

NAME
wpa_supplicant - WPA/802.11i Supplicant for wireless network devices

SYNOPSIS
wpa_supplicant [-BdhKLqstuvW] [-b br_ifname] -c config-file [-C ctrl] [-D driver] [-f debug file] [-g global ctrl] -i ifname [-o override driver] [-O override ctrl] [-P pid file] [-N -i ifname -c config-file [-C ctrl] [-D -driver] [-p driver_param] [-b br_ifname] ...]

DESCRIPTION
The wpa_supplicant utility is an implementation of the WPA Supplicant component, i.e., the part that runs in the client stations. It implements WPA key negotiation with a WPA Authenticator and EAP authentication with an Authentication Server. In addition, wpa_supplicant controls the roaming and IEEE 802.11 authentication/association support of the wlan(4) module and can be used to configure static WEP keys based on identified networks.

The wpa_supplicant utility is designed to be a “daemon” program that runs in the background and acts as the backend component controlling the wireless connection. It supports separate frontend programs such as the text-based wpa_cli(8) program.

The following arguments must be specified on the command line:

-i ifname
    Use the specified wireless interface.

-c config-file
    Use the settings in the specified configuration file when managing the wireless interface. See wpa_supplicant.conf(5) for a description of the configuration file syntax and contents.

    Changes to the configuration file can be reloaded by sending a SIGHUP to the wpa_supplicant process or with the wpa_cli(8) utility, using “wpa_cli reconfigure”.

OPTIONS
The following options are available:

-b  Optional bridge interface name.

-B  Detach from the controlling terminal and run as a daemon process in the background.

-d  Enable debugging messages. If this option is supplied twice, more verbose messages are displayed.

-D  Driver name (can be multiple drivers: nl80211,wext).

-f  Log output to debug file instead of stdout.

-g  Global ctrl_interface.

-h  Show help text.

-K  Include key information in debugging output.

-L  Display the license for this program on the terminal and exit.

-N  Start describing a new interface.

-o  Overrides driver parameter for new interfaces.

-O  Override ctrl_interface parameter for new interfaces.

-p  Specify driver parameters.

-P  File in which to save the process PID.

-q  Decrease debugging verbosity (i.e., counteract the use of the -d flag).

-s  Send log messages through syslog(3) instead of to the terminal.

-t  Include timestamp in debug messages.

-u  Enable DBus control interface.

-v  Display version information on the terminal and exit.

-W  Wait for a control interface monitor before starting.

SEE ALSO
an(4), ath(4), ipw(4), iwi(4), ral(4), rum(4), ural(4), wi(4), wlan(4), wpi(4), zyd(4), wpa_supplicant.conf(5), devd(8), ifconfig(8), wpa_cli(8)

HISTORY
The wpa_supplicant utility first appeared in FreeBSD 6.0.

AUTHORS
The wpa_supplicant utility was written by Jouni Malinen <j@w1.fi>. This manual page is derived from the README file included in the wpa_supplicant distribution.